## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate quanta

Name:           rust-quanta
Version:        0.12.6
Release:        %autorelease
Summary:        High-speed timing library

License:        MIT
URL:            https://crates.io/crates/quanta
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          quanta-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Bump average dependency
# * Bump prost-types dependency
# * Remove flaky_tests from default feature
Patch:          quanta-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  tomcli

%global _description %{expand:
High-speed timing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flaky_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flaky_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "flaky_tests" feature of the "%{crate}" crate.

%files       -n %{name}+flaky_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prost-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prost-devel %{_description}

This package contains library source intended for building other packages which
use the "prost" feature of the "%{crate}" crate.

%files       -n %{name}+prost-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prost-types-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prost-types-devel %{_description}

This package contains library source intended for building other packages which
use the "prost-types" feature of the "%{crate}" crate.

%files       -n %{name}+prost-types-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# Do not depend on criterion; it is needed only for benchmarks.
tomcli set Cargo.toml del dev-dependencies.criterion

%generate_buildrequires
%cargo_generate_buildrequires -f prost

%build
%cargo_build -f prost

%install
# remove extraneous files from being installed
rm Cross.toml release.toml rust-toolchain.toml
%cargo_install -f prost

%if %{with check}
%check
# * More flaky tests
%cargo_test -f prost -- -- --skip instant::tests::test_recent
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 Fabio Valentini <decathorpe@gmail.com> - 0.12.6-1
- Update to version 0.12.6; Fixes RHBZ#2371483

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.12.5-1
- Update to version 0.12.5; Fixes RHBZ#2332218

* Thu Sep 12 2024 Cristian Le <git@lecris.dev> - 0.12.3-1
- import rhbz#2283679
## END: Generated by rpmautospec
